Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class SortProperty

    java.lang.Object
      org.deegree.ogcbase.SortProperty

    public class SortProperty

extends Object

Java incarnation of the `SortPropertyType` defined in `sort.xsd` from the Filter Encoding Specification.

Version:
  $Revision: 23723 $, $Date: 2010-04-21 14:05:33 +0200 (Mi, 21. Apr 2010) $
Author:
  Markus Schneider , last edited by: $Author: aionita $

Method Summary
`static SortProperty` | `create(Element element)` Parses the given `SortProperty` element.
`static SortProperty` | `create(PropertyPath sortProperty, String sortOrderString)` Creates a new `SortProperty` instance.
`static SortProperty[]` | `create(String sortBy, Map<String,URI> nscontext)` Creates an array of `SortProperty` instances from the giving string encoding (as described in OGC 04-021r2, page 136).
`boolean` | `getSortOrder()` Returns the sort order.
`PropertyPath` | `getSortProperty()` Returns the property that will act as sort criterion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSortProperty

    public PropertyPath getSortProperty()

  Returns the property that will act as sort criterion.

  Returns:
    the property that will act as sort criterion

### getSortOrder

    public boolean getSortOrder()

  Returns the sort order.

  Returns:
    true, if the sort order is ascending, false if it is descending

### create

    public static SortProperty create(PropertyPath sortProperty,
                                      String sortOrderString)
                               throws InvalidParameterValueException

  Creates a new `SortProperty` instance.

  Parameters:
    `sortProperty` -
    `sortOrderString` - must be "ASC" or "DESC"
  Returns:
    SortProperty instance
  Throws:
    `InvalidParameterValueException` - if sortOrderString is not "ASC" or "DESC"

### create

    public static SortProperty[] create(String sortBy,
                                        Map<String,URI> nscontext)

  Creates an array of `SortProperty` instances from the giving string encoding (as described in OGC 04-021r2, page 136).

  Parameters:
    `sortBy` -
    `nscontext` -
  Returns:
    array of `SortProperty` instances

### create

    public static SortProperty create(Element element)
                               throws XMLParsingException

  Parses the given `SortProperty` element.

  Parameters:
    `element` - 'ogc:SortProperty'-element
  Returns:
    corresponding `SortProperty` instance
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org